Subject: Re: more echinacea info wanted

From: [email-masked] (Jon Charles Gilliam)
Date: 23 Nov 1994 20:06:16 GMT

In article <[email-masked]>, kapfer thomas l <[email-masked]> writes:
>
>I have long known about the reputed effets of using echinacea but as of 
>yet have never used it.  I am growing it in my garden and will have 
>enough to harvest next year.  What parts do I use to make tea?  Can I use 
>any part?(flowers, roots, leaves).  Thanks for any help.
>
>
>

   I snip the flower heads and stems, put them through the food processor
or blender, add vodka to just cover and then strain after sitting in a
dark, cool place for a couple of weeks.  Strain through a cloth, add
sugar to taste, and take a teaspoon 3 times a day when you feel a cold
coming on.

:jon

(The stems and flowerheads are quite tough, so make sure your blender or
food processor is up to it, and chop coarsely first by hand)

-- 
-----
Jon C. Gilliam   <[email-masked]>
   Do nothing, and leave nothing undone.
    -- Lao Tzu
-- 
-----
Jon C. Gilliam   <[email-masked]>
   Do nothing, and leave nothing undone.
    -- Lao Tzu